%define	name	kash
%define 	rname	kash3
%define	version	2006.02.05
%define	summary Software package for mathematicians interested in algebraic number theory
%define	release %mkrel 2

Summary:	%{summary}
Name:		%{name}
Version:		%{version}
Release:	%{release}

# From the developers of KANT / KASH

# "Although the licence text resembles popular OSI licences and so may get you the impression that 
#  the source code is available this is not the case.  The passage
#
#      You are permitted to modify and redistribute KASH, but you are not
#      allowed to restrict further redistribution. That is to say
#      proprietary modifications will not be allowed.
#
#  does not address the sources for the binary but the snippets and programs written in the Pascal-like
#  surface language (which we call KASH too)."

# for that reason, this package is created from a binary release of KASH and the license is 'restricted'

License: 		restricted
Group: 		Sciences/Mathematics
URL:		http://www.math.tu-berlin.de/~kant/kash.html
Source: 		ftp://ftp.math.tu-berlin.de/pub/algebra/Kant/Kash_3/KASH3-Linux-2006-02-05.tar.bz2
Source1:		%{rname}.desktop
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Packager:	Gri6507
Distribution:	PCLinuxOS
AutoReqProv:	no
Provides:		%name

%description
KASH (the KAnt SHell) is a software package for mathematicians interested in algebraic
number theory. For those KANT is a tool for sophisticated computations in number,
fields, in global function fields, and in local fields.

%package doc
Summary:	%name documentation
Group:		Sciences/Mathematics
AutoReqProv:	no
Provides:		%name-doc
Requires:		%name = %{version}

%description doc
Documentation for %name

%prep
%setup -q -n KASH3-Linux-2006-02-05

%install
DESTDIR=%{_libdir}/%name
%__mkdir_p %buildroot$DESTDIR
cp -r * %buildroot$DESTDIR
%__mkdir_p %buildroot/%{_bindir}
echo -e '#!/bin/sh ' > %buildroot%{_bindir}/%{name}
echo -e "cd $DESTDIR " >> %buildroot/%{_bindir}/%{name}
echo -e './%{rname} $@' >> %buildroot/%{_bindir}/%{name}
chmod 755 %buildroot%{_bindir}/%{name}

# app img
install -p -m644 -D html/kantlogo/Zcrown/logo.Zcrown.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/%{rname}.png

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Mathematics" \
  %{SOURCE1}

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%_bindir/%name
%_libdir/%name/data/*
%_libdir/%name/gap/*
%_libdir/%name/lib/*
%_libdir/%name/CHANGES
%_libdir/%name/GMP_LICENSE.txt
%_libdir/%name/README
%_libdir/%name/%{rname}
%_datadir/applications/%{rname}.desktop
%_datadir/icons/%{rname}.png

%files doc
%defattr(-,root,root,-)
%_libdir/%name/pdf
%_libdir/%name/html

%changelog
* Mon Feb 4 2008 Paul Grinberg <gri6507@yahoo.com> 2006.02.05-1pclos2007
- Added a desktop file

* Wed Jan 2 2008 Paul Grinberg <gri6507@yahoo.com> 2006.02.05-1pclos2007
- Initial Release for PCLinuxOS 2007

